Summary:	A text formatting package based on SGML
Name:		sgml-tools-devel
Obsoletes:	linuxdoc-sgml
Version:	1.0.9
Release: 	1
License:	Freeware
Group:		Development/doc
Source:		http://www.consultronics.com/~cdegroot/sgmltools/dist/sgml-tools-%{version}.tar.bz2
Source1:	db-tools.tar.bz2
Patch:		sgml-tools-1.0.6-letter.patch.bz2
Patch1:		sgml-tools-1.0.9-egcs.patch.bz2
Patch2:		sgml-tools-1.0.9-fixsgml2latex.patch.bz2
Patch3:		sgml-tools-1.0.9-fixconfigure.patch.bz2
Patch4:		sgml-tools-deprotoize.patch.bz2
Patch5:		sgml-tools-buildroot.patch.bz2
Patch6:		sgml-tools-manfix.patch.bz2
Patch7:		sgml-tools-1.0.9-coda-doc.patch.bz2
Patch8:		sgml-tools-tmpfile.patch.bz2
Requires: 	openjade-devel sgml-tools-devel sgml-common-devel docbook-dtds-devel docbook-utils-devel xmlto-devel
Url:		http://www.sgmltools.org
Buildroot:	%_tmppath/%name-%version-%release-root

%define sgmlbase %{_datadir}/sgml

%description
SGMLtools is a text formatting package based on SGML (Standard Generalized
Markup Language). SGMLtools allows you to produce LaTeX, HTML, GNU info,
LyX, RTF, plain text (via groff), and other format outputs from a single
SGML source. 

SGMLtools is intended for writing technical software documentation.

%prep

%setup -q -b 1 -n sgml-tools-%version
rm -rf $RPM_BUILD_ROOT

%patch -p1
%patch1 -p1 -b .egcs
%patch2 -p1
%patch3 -p1 -b .fixconfigure
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

# (renaud) update path to the included style-sheets
for i in cygnus-both.dsl db2*.sh; do
    perl -pi.orig -e "s:%{_libdir}/sgml/stylesheets/nwalsh-modular/:%{sgmlbase}/docbook/dsssl-stylesheets/:" $i
    perl -pi.orig -e "s:dsssl-stylesheets-1.57:dsssl-stylesheets:" $i
done

%build
#autoconf
find sgmls-1.1 -type f | xargs perl -p -i -e "s|VOID|void|g ; s|UNIV|void *|g"

%configure --with-installed-nsgmls --libdir=%{_libdir}/sgml-tools \
	--datadir=%{_libdir}
  
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
perl -p -i -e "s|mandir=.*|mandir=$RPM_BUILD_ROOT/%{_mandir}|" Makefile
make prefix=$RPM_BUILD_ROOT%{_prefix} install

find $RPM_BUILD_ROOT%{_bindir} -type f | xargs perl -p -i -e "s|$RPM_BUILD_ROOT||"

cat > COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

for i in db*.sh; do cp $i $RPM_BUILD_ROOT%{_bindir}/`echo $i | sed "s/\.sh//"`; done
mkdir -p $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/stylesheets
install -m644 *.dsl $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/stylesheets
# Rename cygnus-both.dsl to allow using of update-alternatives
mv $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/stylesheets/cygnus-both{,-orig}.dsl
cp stylesheets.cat $RPM_BUILD_ROOT/%{sgmlbase}/docbook/dsssl-stylesheets-cygnus/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYRIGHT ChangeLog
%{_bindir}/*
%{_libdir}/entity-map
%{_libdir}/perl5/Text/EntityMap.pm 
%{_libdir}/sgml
%{_libdir}/sgml-tools
%{_mandir}/*/*
%{sgmlbase}/docbook/dsssl-stylesheets-cygnus
